%def_disable static
%remove_optflags -O2
%add_optflags -Os

Name: libtorrent
Version: 0.13
Epoch: 2
Release: alt1

Summary: libTorrent is a BitTorrent library written in C++ for *nix
Group: System/Libraries
License: GPL
Url: http://www.rasterbar.com/products/libtorrent
Packager: Alexey Morsov <swi@altlinux.ru>

Source: %name-%version.tar

# Automatically added by buildreq on Fri Dec 22 2006
BuildRequires: boost-datetime-devel boost-filesystem-devel boost-program-options-devel boost-regex-devel boost-thread-devel gcc-c++ glibc-devel-static zlib-devel
BuildRequires: libssl-devel

BuildRequires: glibc-devel glibc-core

#BuildRequires: 
%description
libTorrent is designed to avoid redundant copying and storing of data that
other clients and libraries suffer from. libTorrent features:

* The client has full control over the polling of sockets.
* Sigc++ signals makes it easy for the client to react to events.
* Fast resume which checks the file modification time.
* Direct reading and writing from network to mmap'ed files.
* File hash check uses the same thread; client can control the rate;
  non-blocking and preload to memory with the mincore and madvise.
* File handler: fine-grained use of file read/write permissions, allows seeding
  of read-only files; allows torrents with unlimited number of files; opens
  closed files when mapping chunks to memory, with graceful error handling;
  support for files larger than 2 GB; different download priorities for files
  in the torrent.
* Multi-tracker support.
* No dependency on any specific HTTP library, the client implements a wrapper
  class.
* Dynamic request pipe size.
* Upload and download throttle.
* And much more...

%package devel
Summary: Development libraries and header files for libTorrent
Group: Development/C++
Requires: %name = %version-%release

%description devel
The libtorrent-devel package contains libraries and header files needed
to develop applications using libTorrent.

%package devel-static
Summary: Development static library for libTorrent
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of libTorrent library. Install
libtorrent-devel-static if you want to develop applications statically linked
with libTorrent.

%prep
%setup -q

mv -f COPYING COPYING.orig
ln -s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING

%build
#__aclocal -I m4
#__autoheader
#__libtoolize --copy --force
#__automake --add-missing --copy --gnu
#__autoconf
export LDFLAGS="$LDFLAGS -L/%_lib -lrt"
%configure %{subst_enable static} --with-boost-thread=gcc-mt
# --with-boost-serialization=gcc-mt
%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_disabled static
%__rm -f %buildroot%_libdir/*.a
%endif

install -m644 include/%name/asio/detail/*.hpp %buildroot%_includedir/%name/asio/detail/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README
%doc --no-dereference COPYING

%_libdir/*.so

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed Apr 23 2008 Alexey Morsov <swi@altlinux.ru> 2:0.13-alt1
- 0.13 release

* Tue Mar 25 2008 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt2.rc3
- 0.13rc3

* Wed Jan 02 2008 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt1.svn.r1876
- 0.13svn.r1876

* Mon Dec 10 2007 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt1.svn.r1806b
- 0.13svn.r1806b

* Sat Nov 24 2007 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt1.svn.r1762
- 0.13svn.r1762

* Sat Nov 17 2007 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt1.svn.r1727
- 0.13svn.r1727

* Sat Nov 03 2007 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt1.svn.r1719
- version 0.13svn.r1719

* Thu Oct 25 2007 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt1.svn.r1683
- added support for sparse files.
- introduced speed categories for peers and pieces, to separate
slow and fast peers.
- bug fixes

* Sat Oct 13 2007 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt1.svn.r1672d
- bugs fixes
- some new functionality

* Fri Oct 05 2007 Alexey Morsov <swi@altlinux.ru> 1:0.13-alt1.svn.r1615
- bug fixes
- some improvements
- added UPnP support
- added support for local peer discovery
- added encryption support

* Wed Aug 15 2007 Alexey Morsov <swi@altlinux.ru> 1:0.12-alt1
- version 0.12 release

* Tue Apr 10 2007 Alexey Morsov <swi@altlinux.ru> 0.12-alt1.rc2
- new version
- truncate changelog for this is not the same libtorrent 
(old libtorrent now renamed to librtorrent)

* Fri Dec 22 2006 Alexey Morsov <swi@altlinux.ru> 0.11-alt1
- NMU: version 0.11 (for qBittorrent)
- fix BuildRequires
- add patch for configure (add boost.serialization test)

